ServicePrincipalUpdateParameters Class

Request parameters for update an existing service principal.

Inheritance
ServicePrincipalUpdateParameters

Constructor

ServicePrincipalUpdateParameters(**kwargs)

Parameters

account_enabled
bool
Required

whether or not the service principal account is enabled

app_role_assignment_required
bool
Required

Specifies whether an AppRoleAssignment to a user or group is required before Azure AD will issue a user or access token to the application.

key_credentials
list[KeyCredential]
Required

The collection of key credentials associated with the service principal.

password_credentials
list[PasswordCredential]
Required

The collection of password credentials associated with the service principal.

service_principal_type
str
Required

the type of the service principal

tags
list[str]
Required

Optional list of tags that you can apply to your service principals. Not nullable.